%define lib_major 1
%define lib_name  %mklibname %name %{lib_major}
%define lib_dev   %mklibname %name -d

%define rel 1

Name:           qtkeychain
Summary:        Platform-independent Qt4 API for storing passwords securely
Version:        0.9.1
Release:        %mkrel %rel
License:        LGPLv2+
Group:          Graphical desktop/KDE
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        https://github.com/frankosterfeld/qtkeychain/archive/v%version/%{name}-%version.tar.gz
Patch0:         qtkeychain-0.9.0-fix-QLatin1String-for-qt4.patch
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtDBus)
BuildRequires:  pkgconfig(QtHelp)
BuildRequires:  cmake

%description
Platform-independent Qt4 API for storing passwords securely.

#------------------------------------------------------------------

%package -n %{lib_name}
Summary:        Platform-independent Qt4 API for storing passwords securely
Group:          System/Libraries

%description -n %{lib_name}
Platform-independent Qt4 API for storing passwords securely.

%files -n %{lib_name}
%{_libdir}/libqtkeychain.so.%{lib_major}*
%{_libdir}/libqtkeychain.so.%{version}
%lang(de) %{_datadir}/qt4/translations/qtkeychain_de.qm
%lang(ro) %{_datadir}/qt4/translations/qtkeychain_ro.qm

#------------------------------------------------------------------

%package -n %{lib_dev}
Summary:        Development tools for programs which will use the %{name}
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{lib_dev}
This package contains the header files and .so libraries
for developing %{name}.

%files -n %{lib_dev}
%doc ChangeLog ReadMe.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/QtKeychain/
%{_libdir}/qt4/mkspecs/modules/*.pri

#------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 \
        -DBUILD_WITH_QT4:BOOL=ON \
        -DLIBSECRET_SUPPORT=OFF \
        -DECM_MKSPECS_INSTALL_DIR=%{_libdir}/qt4/mkspecs/modules

%make_build

%install
%make_install -C build


%changelog
